// pages/user/bindCard/index.js
const app = getApp()
const user = require('../../../api/user.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    form: {
      name: '',
      card: '',
      bank: ''
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  inpChange(e){
    let t= e.currentTarget.dataset.type
    switch (t){
      case 'name':
      this.setData({
        'form.name': e.detail.value
      })
      break
      case 'card':
      this.setData({
        'form.card': e.detail.value
      })
      break
      case 'bank':
      this.setData({
        'form.bank': e.detail.value
      })
      break
    }
  },
  submit(){
    console.log(this.data.form)
    if(this.data.form.name == '' ){
      return app.alertMessage('请输入持卡人姓名')
    } else if(this.data.form.card == ''){
      return app.alertMessage('请输入银行卡号')
    } else if(this.data.form.bank == ''){
      return app.alertMessage('请输入开户行')
    }
    user.bingCard({
      bankName: this.data.form.bank,
      cardNumber: this.data.form.card,
      cardholderName: this.data.form.name
    }).then((res)=>{
      wx.showToast({
        title: '绑定成功！',
      })
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})