// pages/user/profit/index.js
const app = getApp()
const user = require('../../../api/user.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {},
    integralList: [],
    page: 1,
    pagesize: 300,
    loadingStatus: '没有更多了。。。'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      userInfo: wx.getStorageSync('userInfo')
    })
    this.getIntegralList()
  },
  getIntegralList(){
    let data= {
      page: this.data.page,
      limit: this.data.pagesize
    }
    user.getIntegralList(data).then((res)=>{
      this.setData({
        integralList: res.data.data.content
      })
    })
  },
  toCashOut(){
    wx.navigateTo({
      url: '/pages/user/cashOut/index?brokeragePrice=' + this.data.userInfo.brokeragePrice,
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})