// pages/courseDetail/index.js

const app = getApp()
const user = require('../../api/user.js')
const store = require('../../api/store.js')
Page({

    /**
     * 页面的初始数据
     */
    data: {
        showMask: false,
        form:{
            name: '',
            phone: '',
            id: ''
        },
        detail: {}
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.setData({
            'form.id': options.id
        })
    },
    toReservation(){
        wx.navigateTo({
            url: '/pages/courseReservation/index',
          })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.getProductDetail()
    },
    getProductDetail(){
        store.getProductDetail(this.data.form.id).then((res)=>{
          console.log('detail',res)
          res.data.data.storeInfo.description.replace(/\<img/gi, '<img style="max-width:100%;height:auto;"')
          this.setData({
            detail: res.data.data
          })
        })
    },
    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})